### Constructor

# Gsk CairoNode new

#### Declaration [src]

    GskRenderNode*
    gsk_cairo_node_new (
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render a cairo surface into the area given by `bounds`.

You can draw to the cairo surface using gsk_cairo_node_get_draw_context().

#### Parameters

`bounds` | `const graphene_rect_t*`
| The rectangle to render to.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GskCairoNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.